Bank accounts

get

A simple ViewSet for listing bank accounts of the authenticated user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
updated_atstring · date-timeRead-onlyRequired
bank_namestring · max: 255Required
last4string · max: 4Required
account_numberstring · max: 30 · nullableWrite-onlyOptional
routing_numberstring · max: 9Required
account_holder_namestring · max: 255Required
account_holder_typestring · max: 20Required
tokenstring · max: 255Required
is_defaultbooleanOptional
created_atstring · date-timeRead-onlyRequired
processorstring · max: 50 · nullableOptional
userstring · uuid · nullableOptional
gueststring · uuid · nullableOptional
get
/api/users/bank-accounts
200Success
delete

A simple ViewSet for listing bank accounts of the authenticated user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this bank account.

Responses
delete
/api/users/bank-accounts/{id}
204

No response body

No content